echo off
REM filename: initsetup1.cmd
REM
REM initial setup for a Server 2008 Server Core installation for Hyper-V and EBS
REM command file 1 of 2
REM
REM Created: 4 September, 2007
REM ModHist: 05/09/07 - switched to variables (cpr)
REM        : 30/08/08 - changed for two NICs (cpr)
REM        : 30/12/08 - mod for EBS environment (cpr)
REM
REM Copyright 2007, 2008 Charlie Russel. All rights reserved.
REM   You may freely use this script in your own environment, modifying it to meet
REM   your needs. But you may not re-publish it without permission. 

REM first, set a fixed IP address. You'll need to know the index number
REM of the interface you're setting, but in a default Server Core install, 
REM with only two NICs, the indexes should be 2 and 3. To find the index, you can
REM run:
REM      netsh interface ipv4 show interfaces
REM 

SETLOCAL
REM Change the values below to match your needs
REM The first NIC is the management NIC
SET IPADD1=192.168.16.14
SET IPMASK1=255.255.255.0
SET IPGW1=192.168.16.1
SET DNS1=192.168.16.2

REM And the second NIC will connect to EBS...
SET IPADD2=192.168.17.14
SET IPMASK2=255.255.255.0
SET IPGW2=192.168.17.1
SET DNS2=192.168.17.2

SET NEWNAME=hp350-core-14

netsh interface ipv4 set address name="2" source=static address=%IPADD1% mask=%IPMASK1% gateway=%IPGW1%
netsh interface ipv4 set address name="3" source=static address=%IPADD2% mask=%IPMASK2% gateway=%IPGW2%

REM Next, set DNS to point to DNS server for each NIC
REM
netsh interface ipv4 add dnsserver name="2" address=%DNS1% index=1
netsh interface ipv4 add dnsserver name="3" address=%DNS2% index=1

REM Now, we need to change the computer name. After we're done, the server 
REM must be restarted, and we can continue with the next batch of commands. 
REM we use the /force command here to avoid prompts
REM
netdom renamecomputer %COMPUTERNAME% /newname:%NEWNAME% /force

@echo If everything looks OK, then its time to reboot (press ^C to exit without rebooting)
pause
REM now, shutdown and reboot. No need to wait. 
REM
shutdown /t 0 /r
